//
//  ReusableCellProtocol.swift
//  1Weather
//
//  Created by Dmitry Stepanets on 03.03.2021.
//

import UIKit

public protocol ReusableCellProtocol: class {
    static var kIdentifier:String { get }
}

extension UITableViewCell: ReusableCellProtocol {
    public static var kIdentifier: String {
        let identifier = String(describing: self)
        if identifier == "UITableViewCell" {
            assertionFailure("Invalid reuse identifier name. Please provide a valid name.")
        }
        
        return String(describing: self)
    }
}
